diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 2940d45..4016dad 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -34257,15 +34257,15 @@ GenusZeroIntegration(R, F, L): Exports == Implementation where
     checkroot(f, l)        == (empty? l => f; rootNormalize(f, first l))
     univ(c, l, x)          == univariate(checkroot(c, l), x)
     univariate(f, x, y, p) == lift(univariate(f, y, p), x)
-    lift(p, k)             == map(univariate(#1, k), p)
+    lift(p, k)             == map(x1+->univariate(x1, k), p)
 
     palgint0(f, x, y, den, radi) ==
       -- y is a square root so write f as f1 y + f0 and integrate separately
       ff := univariate(f, x, y, minPoly y)
       f0 := reductum ff
       pr := quadsubst(x, y, den, radi)
-      map(#1(x::F), integrate(retract(f0)@RF)) +
-        map(#1(pr.diff),
+      map(f1+->f1(x::F), integrate(retract(f0)@RF)) +
+        map(f1+->f1(pr.diff),
             integrate
               mkRat(multivariate(leadingMonomial ff,x,y::F), pr.subs, pr.newk))
 
@@ -34316,14 +34316,14 @@ GenusZeroIntegration(R, F, L): Exports == Implementation where
       numer(rat) / denom(rat)
 
     palgint0(f, x, y, z, xx, dx) ==
-      map(multivariate(#1, y), integrate mkRatlx(f, x, y, xx, z, dx))
+      map(x1+->multivariate(x1, y), integrate mkRatlx(f, x, y, xx, z, dx))
 
     palgextint0(f, x, y, g, z, xx, dx) ==
-      map(multivariate(#1, y),
+      map(x1+->multivariate(x1, y),
             extendedint(mkRatlx(f,x,y,xx,z,dx), mkRatlx(g,x,y,xx,z,dx)))
 
     palglimint0(f, x, y, lu, z, xx, dx) ==
-      map(multivariate(#1, y), limitedint(mkRatlx(f, x, y, xx, z, dx),
+      map(x1+->multivariate(x1, y), limitedint(mkRatlx(f, x, y, xx, z, dx),
                              [mkRatlx(u, x, y, xx, z, dx) for u in lu]))
 
     palgRDE0(f, g, x, y, rischde, z, xx, dx) ==
@@ -34334,18 +34334,18 @@ GenusZeroIntegration(R, F, L): Exports == Implementation where
 
 -- given p = sum_i a_i(X) Y^i, returns  sum_i a_i(x) y^i
     multivariate(p, x, y) ==
-      (map(multivariate(#1, x),
+      (map((x1:RF):F+->multivariate(x1, x),
            p)$SparseUnivariatePolynomialFunctions2(RF, F))
               (y)
 
     palgextint0(f, x, y, g, den, radi) ==
       pr := quadsubst(x, y, den, radi)
-      map(#1(pr.diff),
+      map(f1+->f1(pr.diff),
           extendedint(mkRat(f, pr.subs, pr.newk), mkRat(g, pr.subs, pr.newk)))
 
     palglimint0(f, x, y, lu, den, radi) ==
       pr := quadsubst(x, y, den, radi)
-      map(#1(pr.diff),
+      map(f1+->f1(pr.diff),
          limitedint(mkRat(f, pr.subs, pr.newk),
                     [mkRat(u, pr.subs, pr.newk) for u in lu]))
 
diff --git a/changelog b/changelog
index 779c2e5..fb9dba0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090602 tpd src/axiom-website/patches.html 20090602.03.tpd.patch
+20090602 tpd books/bookvol10.4 INTG0 +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.02.tpd.patch
 20090602 tpd books/bookvol10.4 GENEEZ +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e50c0a8..937d35e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1421,5 +1421,7 @@ bookvol10.4 GENPGCD +-> conversion<br/>
 bookvol10.4 GENUPS +-> conversion<br/>
 <a href="patches/20090602.02.tpd.patch">20090602.02.tpd.patch</a>
 bookvol10.4 GENEEZ +-> conversion<br/>
+<a href="patches/20090602.02.tpd.patch">20090602.03.tpd.patch</a>
+bookvol10.4 INTG0 +-> conversion<br/>
  </body>
 </html>
